## NAME

g.download.project - Download GRASS project from the web
Get GRASS project from an URL or file path

## KEYWORDS

general, data, download, import

## SYNOPSIS

g.download.project
g.download.project --help
g.download.project url=string [name=name] [path=path] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

url=string [required]
  URL of the archive with a project to be downloaded
  URL of ZIP, TAR.GZ, or other similar archive
name=name
  Project (location) name
  Project name (not path to project)
path=path
  GRASS GIS database directory
  Default: path to the current GRASS GIS database

## DESCRIPTION

g.download.project downloads an archived (e.g., `.zip` or `.tar.gz`) project (previously called location) from a given URL and unpacks it to a specified or current GRASS GIS Spatial Database. URL can be also a local file on the disk. If the archive contains a directory which contains a project, the module will recognize that and use the project automatically. The first directory which is a project is used. Other projects or any other files are ignored.

## EXAMPLES

### Download the full GRASS GIS sample project within a running session

Download and unpack the full North Carolina sample project into the user's HOME directory:

    g.download.project url=https://grass.osgeo.org/sampledata/north_carolina/nc_spm_full_v2alpha2.tar.gz path=$HOME

### Download the full GRASS GIS sample project in a temporary session

In a temporary session, download and unpack the full North Carolina sample project into the user's HOME directory:

    grass --tmp-project XY --exec g.download.project url=https://grass.osgeo.org/sampledata/north_carolina/nc_spm_full_v2alpha2.tar.gz path=$HOME

## SEE ALSO

g.mapset, g.mapsets, r.proj, v.proj, g.proj.all

## AUTHOR

Vaclav Petras, NCSU GeoForAll Lab

## SOURCE CODE

Available at: g.download.project source code (history)

Latest change: Wednesday Feb 05 22:17:19 2025 in commit: 12b9f28dd321e2717a4576a0393bbf39629cf09e

Main index | General index | Topics index | Keywords index | Graphical index | Full index

© 2003-2025 GRASS Development Team, GRASS GIS 8.4.1 Reference Manual